@echo off
cls
echo.
echo ******************************************************************************         
echo                       The UNHOLY Series:  The Entryway
echo                             By:  John Walker IV
echo ******************************************************************************
echo.
echo Setting up your system to be compatible with HELL.
echo.
echo If you are not running Doom2 v1.9 this installation 
echo will not work properly.  You will need to upgrade.
echo You can, however play the wad without the patch by
echo typing doom2 -file unholy01.wad
echo.
echo The following files must be present:
echo               DOOM2.WAD
echo               DOOM2.EXE
echo               DEHACKED.EXE
echo               UNHOLY01.DEH
echo               UNHOLY01.WAD
echo.
echo Press CTRL+C to cancel this installation now...
echo             or
pause


if not exist doom2.wad goto d2_w_missing
if not exist doom2.exe goto d2_x_missing
if not exist dehacked.exe goto deh_x_missing
if not exist unholy01.deh goto unh_d_missing
if not exist unholy01.wad goto unh_w_missing
if exist dehacked.ini goto pre_exist
goto begin

:pre_exist
cls
echo.
echo  WARNING  There is a file called DEHACKED.INI in this directory!
echo  Please remove this file and try again.
echo.
goto end

:d2_w_missing
cls
echo.
echo Installation can not find DOOM2.WAD!
echo Please make sure all files are in the current directory
echo and try again.
echo.
goto end

:d2_x_missing
cls
echo.
echo Installation can not find DOOM2.EXE!
echo Please make sure all files are in the current directory
echo and try again.
echo.
goto end

:unh_d_missing
cls
echo.
echo Installation can not find UNHOLY01.DEH!
echo Please make sure all files are in the current directory
echo and try again.
echo.
goto end


:deh_x_missing
cls
echo.
echo Installation can not find DEHACKED.EXE!
echo Please make sure all files are in the current directory
echo and try again.
echo.
goto end

:unh_w_missing
cls
echo.
echo Installation can not find UNHOLY01.WAD!
echo Please make sure all files are in the current directory
echo and try again.
echo.
goto end

:begin
echo.
echo.
echo Copying DOOM2.EXE to UNHOLY01.EXE... 
copy doom2.exe doomhack.exe
echo.
echo Transfer successful!
echo.
echo Applying DeHackED patch...
dehacked -load unholy01.deh
If not errorlevel 0 goto fail_patch
goto exe_rename

:fail_patch
cls
echo.
echo ERROR: An error has occured while loading the DeHackED patch.
echo -Did you use the right DOOM version?
echo -Is your DOOM version registered?
echo -Do you have enough disk space?
echo.
goto end

:exe_rename
echo.
echo Patch Successful!
echo.
echo Making final adjustments...
if exist unholy01.exe del unholy01.exe
rename doomhack.exe unholy01.exe
echo.
echo Complete!
echo.
pause

cls
echo.
echo ******************************************************************************         
echo                       The UNHOLY Series:  The Entryway
echo                             By:  John Walker IV
echo ******************************************************************************
echo.
echo The installation was a success!
echo.
echo This installation did not change a thing, you can play Doom II
echo regularly but typing DOOM2 or you can play The Entryway simply
echo by typing unholy....
echo.
echo Have fun!
echo.
echo.
echo To play later hit CTRL+C now
echo To play RIGHT NOW... 
pause

unholy.bat

:end

